Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.endpoint.advised
Class ConnectionFactoryAdvised

    java.lang.Object
      org.jboss.jms.server.endpoint.advised.AdvisedSupport
          org.jboss.jms.server.endpoint.advised.ConnectionFactoryAdvised

All Implemented Interfaces:
  ConnectionFactoryEndpoint

public class ConnectionFactoryAdvised
extends AdvisedSupport
implements ConnectionFactoryEndpoint

Version:
  `1.5` ConnectionFactoryAdvised.java,v 1.3 2006/03/01 22:56:51 ovidiu Exp
Author:
  Tim Fox, Ovidiu Feodorov

Field Summary
`protected ConnectionFactoryEndpoint` | `endpoint`

Constructor Summary
`ConnectionFactoryAdvised()`
`ConnectionFactoryAdvised(ConnectionFactoryEndpoint endpoint)`

Method Summary
`ConnectionDelegate` | `createConnectionDelegate(java.lang.String username, java.lang.String password)`
`byte[]` | `getClientAOPConfig()`
`java.lang.Object` | `getEndpoint()`
`IdBlock` | `getIdBlock(int size)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### endpoint

    protected ConnectionFactoryEndpoint endpoint

Constructor Detail

### ConnectionFactoryAdvised

    public ConnectionFactoryAdvised()

### ConnectionFactoryAdvised

    public ConnectionFactoryAdvised(ConnectionFactoryEndpoint endpoint)

Method Detail

### createConnectionDelegate

    public ConnectionDelegate createConnectionDelegate(java.lang.String username,
                                                       java.lang.String password)
                                                throws JMSException

  Specified by:
    `createConnectionDelegate` in interface `ConnectionFactoryEndpoint`
  Throws:
    `JMSException`

### getClientAOPConfig

    public byte[] getClientAOPConfig()

  Specified by:
    `getClientAOPConfig` in interface `ConnectionFactoryEndpoint`

### getIdBlock

    public IdBlock getIdBlock(int size)
                       throws JMSException

  Specified by:
    `getIdBlock` in interface `ConnectionFactoryEndpoint`
  Throws:
    `JMSException`

### getEndpoint

    public java.lang.Object getEndpoint()

  Specified by:
    `getEndpoint` in class `AdvisedSupport`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.